UbuntuUpdates.org

Package "python-apt"

Name: python-apt

Description:

Python interface to libapt-pkg

Latest version: 1.9.0ubuntu1.3
Release: eoan (19.10)
Level: security
Repository: universe

Links

Save this URL for the latest version of "python-apt": https://www.ubuntuupdates.org/python-apt


Download "python-apt"


Other versions of "python-apt" in Eoan

Repository Area Version
base universe 1.9.0ubuntu1
base main 1.9.0ubuntu1
security main 1.9.0ubuntu1.3
updates main 1.9.0ubuntu1.3
updates universe 1.9.0ubuntu1.3

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 1.9.0ubuntu1.3 2020-01-23 02:06:23 UTC

  python-apt (1.9.0ubuntu1.3) eoan-security; urgency=medium

  * SECURITY REGRESSION: crash with ubuntu-release-upgrader (LP: #1860606)
    - apt/cache.py: make allow_unauthenticated argument to
      fetch_archives() optional.

 -- Marc Deslauriers <email address hidden> Wed, 22 Jan 2020 16:47:49 -0500

Source diff to previous version

Version: 1.9.0ubuntu1.2 2020-01-22 19:07:57 UTC

  python-apt (1.9.0ubuntu1.2) eoan-security; urgency=medium

  * SECURITY UPDATE: Check that repository is trusted before downloading
    files from it (LP: #1858973)
    - apt/cache.py: Add checks to fetch_archives() and commit()
    - apt/package.py: Add checks to fetch_binary() and fetch_source()
    - CVE-2019-15796
  * SECURITY UPDATE: Do not use MD5 for verifying downloadeds
    (Closes: #944696) (#LP: #1858972)
    - apt/package.py: Use all hashes when fetching packages, and
      check that we have trusted hashes when downloading
    - CVE-2019-15795
  * To work around the new checks, the parameter allow_unauthenticated=True
    can be passed to the functions. It defaults to the value of the
    APT::Get::AllowUnauthenticated option.
    - Bump Breaks aptdaemon (<< 1.1.1+bzr982-0ubuntu28.1), as it will have
      to set that parameter after having done validation.
  * Automatic changes and fixes for external regressions:
    - Adjustments to test suite and CI to fix CI regressions
    - Automatic mirror list update

 -- Julian Andres Klode <email address hidden> Wed, 15 Jan 2020 16:35:02 +0100

944696 Certificate error on launchpad xmlrpc server with H...
CVE-2019-15796 python-apt: Check that repository is trusted before downloading from it
CVE-2019-15795 python-apt: Do not use MD5 for verifying downloads



About   -   Send Feedback to @ubuntu_updates